MIM hotfix rollup package (build 4.3.2266.0)

Microsoft has released a hotfix that fixes multiple issues including the most annoying that I used to see at my customers very frequently.

FIM Service

Issue 1
In SharePoint Server 2013 and later versions, if you edit a workflow or update an email template by using the FIM Portal, the version is automatically updated to 4.0.0.0. This causes a system error message during processing.

In a nutshell: if you change or create a new MIM workflow and put a standard MIM workflow activity there (like Owner Approval Workflow, Password Reset Action Workflow etc..), the workflow XOML definition would contain references to .Net version 4.0.0.0. This broke the workflow completely as the default .Net version for the standard activities is 3.5.0.0. In the request log you would see failed requests with the error description “Unable To Create New WorkflowInstance For WorkflowDefinition”.

Update for MIM 2016:
https://support.microsoft.com/en-us/kb/3171342
Update that fixing the same issue in FIM:
https://support.microsoft.com/en-us/kb/3171318

Comments 1

Leave a Reply

Your email address will not be published. Required fields are marked *